import request from '@/config/axios'

// 查询场景管理列表
export function getSceneModelList(query) {
    return request.get({
        url: '/scene/model/list',
      
        params: query,
    });
}

// 新增场景管理
export function addSceneModel(data) {
    return request.post({
        url: '/scene/model',
        
        data: data,
    });
}

// 修改场景管理
export function updateSceneModel(data) {
    return request.put({
        url: '/scene/model',
       
        data: data,
    });
}

// 删除场景管理
export function deleteSceneModel(id) {
    return request.delete({
        url: '/scene/model/' + id,
       
    });
}

// 获取场景管理详细信息
export function getSceneModelDetail(id) {
    return request.get({
        url: '/scene/model/' + id,
       
    });
}

// 点击查看进入后查询变量列表
export function getSceneModelDataList(query) {
    return request.get({
        url: '/scene/modelData/list',
       
        params: query,
    });
}

// 查询场景关联设备列表
export function getSceneModelDeviceList(query) {
    return request.get({
        url: '/scene/modelDevice/list',
       
        params: query,
    });
}

// 新增场景关联设备
export function addModelDevice(data) {
    return request.post({
        url: '/scene/modelDevice',
       
        data: data,
    });
}

// 删除场景关联设备
export function deleteModelDevice(id) {
    return request.delete({
        url: '/scene/modelDevice/' + id,
       
    });
}

// 编辑场景关联设备
export function updateModelDevice(data) {
    return request.put({
        url: '/scene/modelDevice',
       
        data: data,
    });
}

// 点击编辑进入后根据类型查询变量列表
export function getSceneModelDataListByType(query) {
    return request.get({
        url: '/scene/modelData/listByType',
       
        params: query,
    });
}

// 全部启用
export function enableModelDevice(data) {
    return request.post({
        url: '/scene/modelDevice/editEnable',
      
        data: data,
    });
}

// 启用变量
export function enableModelData(data) {
    return request.post({
        url: '/scene/modelData/editEnable',
       
        data: data,
    });
}

// 获取场景录入运算变量列表
export function getSceneModelTagList(query) {
    return request.get({
        url: '/scene/modelTag/list',
       
        params: query,
    });
}

// 新增场景录入运算变量
export function addSceneModelTag(data) {
    return request.post({
        url: '/scene/modelTag',
       
        data: data,
    });
}

// 编辑场景录入运算变量
export function updateSceneModelTag(data) {
    return request.put({
        url: '/scene/modelTag',
        
        data: data,
    });
}

// 删除场景录入运算变量
export function deleteSceneModelTag(id) {
    return request.delete({
        url: '/scene/modelTag/' + id,
       
    });
}

// 获取场景录入运算变量详情
export function getSceneModelTag(id) {
    return request.get({
        url: '/scene/modelTag/' + id,
        
    });
}
